<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio con mysqli</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<?php
// Conexión a la base de datos
$base = mysqli_connect("127.0.0.1", "root", "", "_test");
if ($base) {
   echo'Conexión con éxito.<br />';
   echo'Información en el servidor:'.mysqli_get_host_info($base).'<br />';
}
else {
   printf('Error %d: %s.<br/>',mysqli_connect_errno(),mysqli_connect_error());
}

$sql = "INSERT INTO Persona (Nombre, Apellidos, Edad) VALUES (?,?,?)";
// Preparación de la consulta
$resultado = mysqli_prepare($base, $sql);
// Paso de los argumentos.
$ok = mysqli_stmt_bind_param($resultado,'ssi',$nombre,$apellidos,$edad);
$nombre ='ROVIER';
$apellidos ='Mónica';
$edad = 63;
// Ejecución-de la consulta.
$ok = mysqli_stmt_execute($resultado);

if ($ok == FALSE) {
   echo "Fallo de ejecución de la consulta.<br />";
}
else {
	echo "Persona añadida.<br />";
}   
mysqli_stmt_close($resultado);   
if (mysqli_close($base)) { 
  echo'Desconexión con éxito.<br />';
}
else {
  echo'Fallo de la desconexión.';
}
?>


</body>
</html>
